/*
 * 2D Physic Engine
 * logger.h: Header for the logger
 * Based on pikuma.com Learn Game Physics Engine Programming course.
 * Copyright (c) 2021-2022 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 11/02/2021.
 */

#ifndef PHYSICENGINE_LOGGER_H
#define PHYSICENGINE_LOGGER_H

#include <time.h>

typedef enum LogType
{
    LOG_LOG = 0,
    LOG_ERROR,
    LOG_WARNING,
    LOG_INFO,
    LOG_CRITICAL,
    LOG_DEBUG,
} LogType;

class Logger
{
public:
    static void Log(const char *message, ...);
    static void Error(const char *message, ...);
    static void Warning(const char *message, ...);
    static void Info(const char *message, ...);
    static void Critical(const char *message, ...);
    static void Debug(const char *message, ...);
};

#endif /* PHYSICENGINE_LOGGER_H */
